aboutsummaryrefslogtreecommitdiff
path: root/usr.sbin/bsdinstall/scripts/netconfig
diff options
context:
space:
mode:
authorNathan Whitehorn <nwhitehorn@FreeBSD.org>2011-10-25 16:35:48 +0000
committerNathan Whitehorn <nwhitehorn@FreeBSD.org>2011-10-25 16:35:48 +0000
commit41f2f866d09406ec693a8a6828178e6ebb1dab72 (patch)
tree760a4cd7918534551e7465a6d11af1030692179d /usr.sbin/bsdinstall/scripts/netconfig
parent9c60ca32389570fe3b8bb27f8bf7e815cd667fee (diff)
Notes
Diffstat (limited to 'usr.sbin/bsdinstall/scripts/netconfig')
-rwxr-xr-xusr.sbin/bsdinstall/scripts/netconfig7
1 files changed, 7 insertions, 0 deletions
diff --git a/usr.sbin/bsdinstall/scripts/netconfig b/usr.sbin/bsdinstall/scripts/netconfig
index e0f390c27876..382ff2ce4734 100755
--- a/usr.sbin/bsdinstall/scripts/netconfig
+++ b/usr.sbin/bsdinstall/scripts/netconfig
@@ -49,6 +49,13 @@ for IF in `ifconfig -l`; do
DIALOG_TAGS="$DIALOG_TAGS $IF \"$DESC\""
done
+if [ -z "$INTERFACES" ]; then
+ dialog --backtitle 'FreeBSD Installer' \
+ --title 'Network Configuration Error' \
+ --msgbox 'No network interfaces present to configure.' 0 0
+ exit 1
+fi
+
exec 3>&1
INTERFACE=`echo $DIALOG_TAGS | xargs dialog --backtitle 'FreeBSD Installer' --title 'Network Configuration' --menu 'Please select a network interface to configure:' 0 0 0 2>&1 1>&3`
if [ $? -eq $DIALOG_CANCEL ]; then exit 1; fi